Get Live Execution Status
curl --request GET \
--url https://api.mixpeek.com/v1/retrievers/{retriever_id}/executions/{execution_id}/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mixpeek.com/v1/retrievers/{retriever_id}/executions/{execution_id}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mixpeek.com/v1/retrievers/{retriever_id}/executions/{execution_id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}Retrievers
Get Live Execution Status
Fetch live execution status from the durability journal. Returns real-time progress including current stage, completed stages, and heartbeat timestamp. If the execution is completed, returns the full results. Falls back to ClickHouse for historical executions.
GET
/
v1
/
retrievers
/
{retriever_id}
/
executions
/
{execution_id}
/
status
Get Live Execution Status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Retriever ID or name.
Execution identifier.
Response
Successful Response
The response is of type Response Get Execution Status V1 Retrievers Retriever Id Executions Execution Id Status Get · object.
Was this page helpful?
⌘I

